#ifndef METRICTREEVIEW_H
#define METRICTREEVIEW_H

#include "TreeView.h"

/**
 * MetricTreeView extends the default tree view with new context menu items
 */
class MetricTreeView : public TreeView
{
    Q_OBJECT
public:
    MetricTreeView( TreeModelInterface* modelInterface, const QString& tabLabel );

protected:
    virtual void
    fillContextMenu();

    virtual QString
    getContextDescription( TreeItem* item );

    bool
    selectionIsValid(QList<TreeItem *> &list);

private:
    enum MetricTreeContextMenuAction { MetricFullInfo, CreateDerivatedChildMetric,
                                       CreateDerivatedRootMetric, EditDerivatedMetric, RemoveMetric };
    QHash <MetricTreeContextMenuAction, QAction*> metricContextMenuHash; // contains all tree specific context menu actions
    void
    createContextMenuActions();
    void
    createDerivatedMetric( bool asChild );

private slots:
    void
    onCreateDerivatedChildMetric();
    void
    onCreateDerivatedRootMetric();
    void
    onRemoveMetric();
    void
    onEditDerivatedMetric();
};

#endif // METRICTREEVIEW_H
