#ifndef LAUNCH_H
#define LAUNCH_H

#include <QObject>
#include <QProcess>
#include <QPair>
#include <QDebug>

class Launch : public QProcess
{
    Q_OBJECT

public:
    Launch(QObject *parent) : QProcess(parent) {};
    void launch( const QString& cmd );

signals:
    void
    receivedVar( QPair<QString, QString>);

private slots:
    void
    readStdout();
    void
    launchFinished( int exitCode );
    void
    error( QProcess::ProcessError err );

private:
    void
    writeStdout();
};

#endif // LAUNCH_H
